import torch
from transformers import Qwen3Model

model = Qwen3Model.from_pretrained(
                # "Qwen/Qwen3-0.6B",
                "Qwen/Qwen3-Embedding-0.6B",
                attn_implementation="eager"
                # torch_dtype="auto",
                # device_map="auto"
            ).to(torch.bfloat16)

print(model)